# HTMLdoc API Reference

This document describes how to configure and use the HTMLdoc object.

| Method							| Description 								|
|-----------------------------------|-------------------------------------------|
| [`__construct()`](construct.md)	| Constructs an HTMLdoc object 				|
| [`open()`](open.md)				| Open an HTML document from a URL or stream |
| [`load()`](load.md)				| Load HTML from a string					|
| [`find()`](find.md)				| Find elements within the documents		|
| [`eq()`](eq.md)					| Filter elements to the selected index		|
| [`first()`](first.md)				| Filter elements by the first element		|
| [`last()`](last.md)				| Filter elements by the last element		|
| [`attr()`](attr.md)				| Retrieve the value of an attribute		|
| [`text()`](text.md)				| Extract text from an HTMLdoc		 		|
| [`append()`](append.md)			| Append HTML to the selected nodes	 		|
| [`prepend()`](prepend.md)			| Prepend HTML to the selected nodes 		|
| [`remove()`](remove.md)			| Remove nodes from a document		 		|
| [`minify()`](minify.md)			| Minify the HTMLdoc						|
| [`html()`](html.md)				| Render the document as HTML		 		|
| [`save()`](save.md)				| Save as a file or output as a string 		|
